ETS2 – Mercedes Actros Mp4 Low Cab Interior (1.32.x)

1 Like Comment

I know that there is some mistakes in this mod but am begginer.
So if you want this mod work you must have Mercedes MP4 (Original SCS) Low cab and Exclusive Interior .. That’s it (sorry for my English i’am from CZ)
Author: Kazdiic (me)

Supported game versions: ETS2 – (1.32.x)

You might like

About the Author: TruckSimulator

Best Truck Simulator Game Mods. Euro Truck Simulator 2 and American Truck Simulator mods.

Leave a Reply

Your email address will not be published. Required fields are marked *